New Simulink Requirements Widget for DOORS Next Generation (DNG) for use with MATLAB R2019a

24 views (last 30 days)
When we were using MATLAB R2018b or older, we installed the "Selection for Simulink" widget for IBM Rational DOORS Next Generation on our DNG server, as explained here: 
Now in MATLAB R2019a, we are seeing requirements linking issues with the old widget. There seems to be a new "Simulink Requirements" widget, but the installation instructions in the R2019a documentation are still referring to the old widget.
Could you please provide information about this new widget?

Accepted Answer

MathWorks Support Team
MathWorks Support Team on 9 Aug 2022
Edited: MathWorks Support Team on 9 Aug 2022
How do I install the new Simulink Requirements Widget?
In the Windows File Explorer, navigate to the folder "toolbox\slrequirements\slrequirements\resources" in your MATLAB R2019a installation folder. Copy the "dngsllink_config folder" into the extensions subfolder of your IBM Rational DOORS Next Generation installation, i.e. into the DNG server folder where you might still have the "dngsllink" folder from the old widget.
Then, each DNG user will need to remove the retired widget from the Mini Dashboard and add the newer one. In the Mini Dashboard, select "Add Widget > Add OpenSocial Gadget". Specify the URL to "dngsllink_config.xml" that corresponds to the "extensions\dngsllink_config" subfolder in your server installation folder.
Which DNG and MATLAB versions does the new widget support?
You must use the new "Simulink Requirements" widget with R2019a and later releases. This new widget is designed for and tested to work with DNG version 6.0.6, and will NOT work with DNG 6.0.4. It might work with some latest iFix levels of 6.0.5, but we do not test that.
For R2018b and earlier, you must use the old "Selection for Simulink" widget. Do not try to use the new widget. "Selection for Simulink" widget was tested with DNG 6.0.4, 6.0.5, 6.0.6.
How does the end user know which version of the widget they are using?
To know which widget you see in the browser, you can tell by the title: "Selection for Simulink" vs. "Simulink Requirements".

More Answers (0)

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!

Translated by